import type { RepoCacheRecordV10, RepoCacheRecordV11, RepoCacheRecordV12, RepoCacheRecordV13 } from './types';
export declare const CACHE_REVISION = 13;
export declare function isValidRev10(input: unknown, repo?: string): input is RepoCacheRecordV10;
export declare function isValidRev11(input: unknown, repo?: string): input is RepoCacheRecordV11;
export declare function isValidRev12(input: unknown, repo?: string): input is RepoCacheRecordV12;
export declare function isValidRev13(input: unknown): input is RepoCacheRecordV13;
